SYSUPGRADE(8)

NAME
sysupgrade - operating system upgrader

SYNOPSIS
sysupgrade

DESCRIPTION
sysupgrade is an interactive command line program that upgrades another installation to the current operating system. It asks basic questions, searches for existing installations, verifies the upgrade makes sense, and upgrades the target system according to upgrade.conf(5) of the target system. The upgrade proceeds as described in upgrade(7).

sysupgrade must be run as root with stdin, stdout and stderr all pointing to the terminal. It is intended to be run from a live environment and not from an actual installation.

SEE ALSO
upgrade(7), sysinstall(8)